---------------------------------------------------------------------------
-- This VHDL file was developed by Daniel Llamocca (2013).  It may be
-- freely copied and/or distributed at no cost.  Any persons using this
-- file for any purpose do so at their own risk, and are responsible for
-- the results of such use.  Daniel Llamocca does not guarantee that
-- this file is complete, correct, or fit for any particular purpose.
-- NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED.  This notice must
-- accompany any copy of this file.
--------------------------------------------------------------------------

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
 
-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--USE ieee.numeric_std.ALL;
 
ENTITY tb_example IS
END tb_example;
 
ARCHITECTURE behavior OF tb_example IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT example
    PORT(
         a : IN  std_logic;
         b : IN  std_logic;
         c : IN  std_logic;
         f : OUT  std_logic
        );
    END COMPONENT;
    

   --Inputs
   signal a : std_logic := '0';
   signal b : std_logic := '0';
   signal c : std_logic := '0';

 	--Outputs
   signal f : std_logic;
   -- No clocks detected in port list. Replace <clock> below with 
   -- appropriate port name 

 
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: example PORT MAP (
          a => a,
          b => b,
          c => c,
          f => f
        );



   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 100 ns.
      wait for 100 ns;	

      -- insert stimulus here 
		A <= '0'; B <= '0'; C <= '0'; wait for 20 ns;
		A <= '0'; B <= '0'; C <= '1'; wait for 20 ns;
		A <= '0'; B <= '1'; C <= '0'; wait for 20 ns;
		A <= '0'; B <= '1'; C <= '1'; wait for 20 ns;
		A <= '1'; B <= '0'; C <= '0'; wait for 20 ns;
		A <= '1'; B <= '0'; C <= '1'; wait for 20 ns;
		A <= '1'; B <= '1'; C <= '0'; wait for 20 ns;
		A <= '1'; B <= '1'; C <= '1'; wait for 20 ns;
				
      wait;
   end process;

END;
